<div class="container-fluid">
  <div class="p-t-30">
    <div class="row">
      <div class="col-sm-12">
        <div class="card">
        
          <div class="card-header">
            <h5 class="card-header-text"> Add/Manage Users </h5>
            <br />
            <br />
            <ol class="breadcrumb breadcrumb-title breadcrumb-arrow">
              <li class="breadcrumb-item"><i class="icofont icofont-home"></i></li>
              <li class="breadcrumb-item">Add User</li>
            </ol>
          </div>

          <div class="card">
              <div class="card-block text-center">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#sign-in-up">Add User</button>
              </div>
          </div>

          <% if @users.present? %>
            <div class="table-content p-l-20 p-r-20 p-b-20">
                <table class="table table-striped photo-table">
                  <thead>
                    <tr role="row">
                      <th width=10></th>
                      <th> Name </th>
                      <th> Email Address </th>
                      <th> Role </th>
                      <th width=200> Created Date </th>
                      <th>Edit</th>
                      <th>delete</th>
                    </tr>
                  </thead>
                  <tbody>
                    <% @users.each do |user| %>
                    <tr>
                      <td><%= image_tag user.photo.url, class: 'media-object' %></td>
                      <td><%= user.name %></td>
                      <td><%= user.email %></td>
                      <td><%= User::ROLES[user.role] %></td>
                      <td><%= user.created_at.strftime TIME_FORMAT1 %></td>
                      <td><%= link_to edit_manager_user_path(user) do %> <i class="icofont icofont-edit"></i><% end %></td>
                      <td>
                    <%= link_to manager_user_path(user),style: 'color:#373a3c;position: relative;z-index: 1;',  method: :delete, data: { confirm: "You sure?"  } do %>
                    <i class="icofont icofont-ui-delete"></i><% end %></td>
                    </tr>
                  <% end %>
                  </tbody>
                </table>
              </div>
            <% else %>
              <div class="card-header">
                <center class="p-t-50 p-b-50">
                  Sorry you don't have any Users
                  <br />
                  <br />
                 
                </center>
              </div>
          <% end %>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade modal-flex" id="sign-in-up" tabindex="-1" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>

        <div class="sign-in-up">
          <div class="sign-in-up-left"><i class="icofont icofont-users f-64" aria-hidden="true"></i>
          </div>
          <div class="sign-in-up-right">
            <%= render 'manager/users/new' %>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>




